From 7a6548cbae7b7fea5a3d06536dbe1927673975e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@gnu.org>
Date: Wed, 12 Dec 2012 00:10:32 +0100
Subject: [PATCH] tests: Remove `t-profile' files on exit.

* tests/guix-package.sh: Use a trap on EXIT to remove profile-related
  files.  Reported by Andreas Enge <andreas@enge.fr>.
---
 tests/guix-package.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/guix-package.sh b/tests/guix-package.sh
index 83108601cf7..2a424cc3de2 100644
--- a/tests/guix-package.sh
+++ b/tests/guix-package.sh
@@ -25,6 +25,8 @@ guix-package --version
 profile="t-profile-$$"
 rm -f "$profile"
 
+trap 'rm "$profile" "$profile-"[0-9]*' EXIT
+
 guix-package -b -p "$profile"						\
     -i `guix-build -e '(@@ (distro packages base) %bootstrap-guile)'`
 test -L "$profile" && test -L "$profile-1-link"
@@ -69,4 +71,3 @@ guix-package -b -i "libsigsegv:lib" -n
 # Check whether `--list-available' returns something sensible.
 guix-package -A 'gui.*e' | grep guile
 
-rm "$profile" "$profile-"[0-9]*
-- 
GitLab